Skip to content
Permalink
Browse files

validate-podspec: run pod setup if no remote repos

  • Loading branch information
freak4pc authored and kzaher committed Nov 23, 2019
1 parent 9eb638f commit fd6fb2bf267c02b9210d8727e414acb6a286fbe6
Showing with 75 additions and 4 deletions.
  1. +1 −0 Gemfile
  2. +63 −1 Gemfile.lock
  3. +11 −3 scripts/validate-podspec.sh
@@ -1,3 +1,4 @@
source 'https://rubygems.org'

gem 'danger'
gem 'cocoapods', '~> 1.7.0'
@@ -1,14 +1,55 @@
GEM
remote: https://rubygems.org/
specs:
CFPropertyList (3.0.1)
activesupport (4.2.11.1)
i18n (~> 0.7)
minitest (~> 5.1)
thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1)
addressable (2.5.2)
public_suffix (>= 2.0.2, < 4.0)
atomos (0.1.3)
claide (1.0.2)
claide-plugins (0.9.2)
cork
nap
open4 (~> 1.3)
cocoapods (1.7.5)
activesupport (>= 4.0.2, < 5)
claide (>= 1.0.2, < 2.0)
cocoapods-core (= 1.7.5)
cocoapods-deintegrate (>= 1.0.3, < 2.0)
cocoapods-downloader (>= 1.2.2, < 2.0)
cocoapods-plugins (>= 1.0.0, < 2.0)
cocoapods-search (>= 1.0.0, < 2.0)
cocoapods-stats (>= 1.0.0, < 2.0)
cocoapods-trunk (>= 1.3.1, < 2.0)
cocoapods-try (>= 1.1.0, < 2.0)
colored2 (~> 3.1)
escape (~> 0.0.4)
fourflusher (>= 2.3.0, < 3.0)
gh_inspector (~> 1.0)
molinillo (~> 0.6.6)
nap (~> 1.0)
ruby-macho (~> 1.4)
xcodeproj (>= 1.10.0, < 2.0)
cocoapods-core (1.7.5)
activesupport (>= 4.0.2, < 6)
fuzzy_match (~> 2.0.4)
nap (~> 1.0)
cocoapods-deintegrate (1.0.4)
cocoapods-downloader (1.3.0)
cocoapods-plugins (1.0.0)
nap
cocoapods-search (1.0.0)
cocoapods-stats (1.1.0)
cocoapods-trunk (1.4.1)
nap (>= 0.8, < 2.0)
netrc (~> 0.11)
cocoapods-try (1.1.0)
colored2 (3.1.2)
concurrent-ruby (1.1.5)
cork (0.3.0)
colored2 (~> 3.1)
danger (6.0.6)
@@ -24,33 +65,54 @@ GEM
no_proxy_fix
octokit (~> 4.7)
terminal-table (~> 1)
escape (0.0.4)
faraday (0.15.4)
multipart-post (>= 1.2, < 3)
faraday-http-cache (1.3.1)
faraday (~> 0.8)
fourflusher (2.3.1)
fuzzy_match (2.0.4)
gh_inspector (1.1.3)
git (1.5.0)
i18n (0.9.5)
concurrent-ruby (~> 1.0)
kramdown (2.1.0)
kramdown-parser-gfm (1.0.1)
kramdown (~> 2.0)
minitest (5.13.0)
molinillo (0.6.6)
multipart-post (2.0.0)
nanaimo (0.2.6)
nap (1.1.0)
netrc (0.11.0)
no_proxy_fix (0.1.2)
octokit (4.14.0)
sawyer (~> 0.8.0, >= 0.5.3)
open4 (1.3.4)
public_suffix (3.0.3)
ruby-macho (1.4.0)
sawyer (0.8.1)
addressable (>= 2.3.5, < 2.6)
faraday (~> 0.8, < 1.0)
terminal-table (1.8.0)
unicode-display_width (~> 1.1, >= 1.1.1)
thread_safe (0.3.6)
tzinfo (1.2.5)
thread_safe (~> 0.1)
unicode-display_width (1.5.0)
xcodeproj (1.13.0)
CFPropertyList (>= 2.3.3, < 4.0)
atomos (~> 0.1.3)
claide (>= 1.0.2, < 2.0)
colored2 (~> 3.1)
nanaimo (~> 0.2.6)

PLATFORMS
ruby

DEPENDENCIES
cocoapods (~> 1.7.0)
danger

BUNDLED WITH
2.0.1
2.0.2
@@ -16,9 +16,17 @@ function cleanup {
trap cleanup EXIT

if [[ ! -z "${TRAVIS}" ]]; then
gem install cocoapods --pre --no-document --quiet;
pod repo update;
fi;
bundle install
COCOAPODS_REPO_COUNT=`bundle exec pod repo list --count-only | cut -c 1`

if [[ $COCOAPODS_REPO_COUNT == "0" ]]; then
# No repo spec yet, we have to set it up
bundle exec pod setup
else
# We have some remote repo (cached or otherwise), so we can simply update it
bundle exec pod repo update
fi
fi

VERSION=`cat RxSwift.podspec | grep -E "s.version\s+=" | cut -d '"' -f 2`
ROOTS=(8/5/5 3/c/1 9/2/4 a/b/1 2/e/c)

0 comments on commit fd6fb2b

Please sign in to comment.
You can’t perform that action at this time.